---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: repl-certs
  namespace: kanidm
  labels:
    app.kubernetes.io/name: kanidm
    app.kubernetes.io/instance: kanidm
spec:
  vaultAuthRef: default
  mount: kv
  type: kv-v2
  path: kubernetes/namespace/kanidm/default/repl-certs
  refreshAfter: 5m
  destination:
    name: kanidm-repl-certs
    create: true
    overwrite: true
  hmacSecretData: true
  rolloutRestartTargets:
    - kind: StatefulSet
      name: kanidm
